org.python.modules._weakref

## Interface ReferenceBackend

- All Known Implementing Classes:
    GlobalRef

      public interface ReferenceBackend

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(AbstractReference ref)`
    `int` | `count()`
    `AbstractReference` | `find(java.lang.Class<?> cls)`
    `PyObject` | `get()`
    `boolean` | `isCleared()`
    `int` | `pythonHashCode()`
    `PyList` | `refs()`
    `void` | `restore(PyObject formerReferent)`

- - ### Method Detail

    - #### get

          PyObject get()

    - #### add

          void add(AbstractReference ref)

    - #### isCleared

          boolean isCleared()

    - #### find

          AbstractReference find(java.lang.Class<?> cls)

    - #### pythonHashCode

          int pythonHashCode()

    - #### refs

          PyList refs()

    - #### restore

          void restore(PyObject formerReferent)

    - #### count

          int count()

Jython homepage